From 1b7c31aae6b0996643eb47c0001e601a875ca8f5 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: May 19 2024 19:56:27 +0000
Subject: [PATCH 151/220] Fix: building for libcosmic apps


---

diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 428e386..06ec54f 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -62,6 +62,7 @@ BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
 BuildRequires:  just
+BuildRequires:  libxkbcommon-devel
 
 BuildRequires:  git-core
 
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 042baee..6b39582 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -62,6 +62,7 @@ BuildRequires:  lld
 BuildRequires:  cargo
 BuildRequires:  just
 BuildRequires:  glib2-devel
+BuildRequires:  libxkbcommon-devel
 
 BuildRequires:  git-core
 
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 87fbe98..19fa766 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -59,6 +59,7 @@ BuildRequires:  cargo
 BuildRequires:  flatpak-devel
 BuildRequires:  libappstream-glib
 BuildRequires:  just
+BuildRequires:  libxkbcommon-devel
 
 Requires:       PackageKit
 Requires:       flatpak-libs
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index da00c12..c37291a 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -61,6 +61,7 @@ BuildRequires:  rustc
 BuildRequires:  lld
 BuildRequires:  cargo
 BuildRequires:  just
+BuildRequires:  libxkbcommon-devel
 
 BuildRequires:  git-core
 

